Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000942Taste[All Projects] TASTE-IV/DVpublic2021-05-26 14:122021-06-22 14:02
Reporterellidiss 
Assigned Toellidiss 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Summary0000942:

connection error due to feature label update

Description

When the user try to connect nested feature, the label update function goes into an infinite loop.

Furthermore, when the user succeded to create a connection the aadl generated is corrupted (the connections label are not complete)

Steps To Reproduce

Il y a plusieurs problemes:

1) Si on essaye de connecter RI1 à BatteryCmd_Request, la connection ne se fait pas correctement (graphiquement). Si on sauve et qu'on relance l'outil plante avec une exception

2) Si on connecte Power_Level_Fdir ou BatteryCmd_Status, la connection semble se faire sans erreur, sauf que si on sauve et on recharge on s'aperçoit que le fichier est corrompu:

Additional Information

The pb comes from a bug in the terminal aspect of the function/instance : in the given example, the BatterySystem function is not considered as terminal.

TagsNo tags attached.
Attached Files? file icon InterfaceView.ori.aadl [^] (9,666 bytes) 2021-05-28 08:22

- Relationships

-  Notes
(0003781)
ellidiss (developer)
2021-05-28 14:49

available in taste 2.4.0 beta 29


- Issue History
Date Modified Username Field Change
2021-05-26 14:12 ellidiss New Issue
2021-05-26 14:12 ellidiss Status

new => assigned

2021-05-26 14:12 ellidiss Assigned To

=> ellidiss

2021-05-28 08:21 ellidiss Description Updated View Revisions
2021-05-28 08:21 ellidiss Steps to Reproduce Updated View Revisions
2021-05-28 08:21 ellidiss Additional Information Updated View Revisions
2021-05-28 08:22 ellidiss File Added: InterfaceView.ori.aadl
2021-05-28 08:22 ellidiss Additional Information Updated View Revisions
2021-05-28 14:49 ellidiss Note Added: 0003781
2021-05-28 14:49 ellidiss Status

assigned => resolved

2021-05-28 14:49 ellidiss Resolution

open => fixed

2021-06-22 14:02 maxime Status

resolved => closed



Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker